Summary: Collection of basic system utilities for Linux
Name: util-linux
Version: 2.7
Release: 5C4
Copyright: distributable
Group: Utilities/System
Source0: sunsite.unc.edu:/pub/Linux/system/Misc/util-linux-2.7.tar.gz
Source1: hwclock-2.2.tar.gz
#Source1: util-linux-2.7-login.pamd
#Source2: util-linux-2.7-chfn.pamd
#Source3: util-linux-2.7-chsh.pamd
Patch0: util-linux-2.7-config.patch
Patch1: util-linux-2.7-login.patch
Patch2: util-linux-2.7-glibchacks.patch
Patch3: util-linux-2.7-rootok.patch
Patch4: util-linux-2.7-title.patch
Patch5: util-linux-2.7-cobalt.patch.1
Patch6: util-linux-2.7-cobalt.patch.2
Patch7: util-linux-2.7-cobalt.patch.3

#Requires: pam >= 0.56

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system.  This includes, among other
things, configuration tools such as fdisk and system programs such
as login.

%changelog
* Fri Aug 14 1998 Duncan Laurie <duncan@cobaltnet.com>
- now displays just "loign:"

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>

- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>

- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>

- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>

- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>

- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>

- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.

%prep

# note that the alpha patch is derived  from the one on azstarnet

%setup 
%patch0 -p1 -b .rh
%patch1 -p1 -b .sigint
%patch2 -p1 -b .hacks
%patch3 -p1 -b .rootok
# this one still needs work... 
# %patch4 -p1 -b .title
#
%patch5 -p1 -b .cobalt1
%patch6 -p1 -b .cobalt2
%patch7 -p1 -b .cobalt3

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" 

%install
make install 

%ifarch i386
mv -f /usr/bin/rdev /usr/sbin
%endif

mv -f /usr/bin/swapdev /usr/sbin
mv -f /usr/bin/vidmode /usr/sbin
mv -f /usr/bin/ramsize /usr/sbin
mv -f /usr/bin/rootflags /usr/sbin
mv -f /usr/bin/readprofile /usr/sbin
gzip -9nf /usr/info/ipc.info

strip /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp /sbin/fdisk

#install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-login.pamd /etc/pam.d/login
#install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd /etc/pam.d/chsh
#install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd /etc/pam.d/chfn

rm -f /sbin/clock
ln -s hwclock /sbin/clock

%files
#%config /etc/pam.d/login
#%config /etc/pam.d/chfn
#%config /etc/pam.d/chsh

/sbin/fdisk
/sbin/cfdisk
/sbin/sfdisk
/sbin/fsck.minix
/sbin/mkfs.minix
/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
/etc/fdprm

/usr/man/man8/fdisk.8
/usr/man/man8/cfdisk.8
/usr/man/man8/sfdisk.8
/usr/man/man8/fdformat.8
/usr/man/man8/mkfs.8
/usr/man/man8/mkswap.8
/usr/man/man8/setfdprm.8

/usr/games/banner
/usr/man/man6/banner.6

/usr/bin/ddate
/usr/man/man1/ddate.1

/bin/login
/usr/bin/chfn
/usr/bin/chsh
/usr/bin/newgrp
/usr/bin/passwd
/usr/sbin/vipw
/usr/man/man1/chfn.1
/usr/man/man1/chsh.1
/usr/man/man1/login.1
/usr/man/man1/newgrp.1
/usr/man/man8/vipw.8
/bin/kill
/usr/bin/cal
/usr/bin/chkdupexe
/usr/bin/hostid
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
/usr/bin/tsort
/usr/bin/whereis
/usr/bin/write
/usr/bin/getopt
/usr/man/man1/cal.1
/usr/man/man1/chkdupexe.1
/usr/man/man1/hostid.1
/usr/man/man1/kill.1
/usr/man/man1/logger.1
/usr/man/man1/look.1
/usr/man/man1/mcookie.1
/usr/man/man1/namei.1
/usr/man/man1/script.1
/usr/man/man1/setterm.1
/usr/man/man1/tsort.1
/usr/man/man1/whereis.1
/usr/man/man1/write.1
/usr/man/man1/getopt.1
/usr/man/man1/passwd.1

/bin/dmesg

/sbin/clock
/sbin/hwclock
/sbin/ctrlaltdel
/sbin/kbdrate
/sbin/sln
/bin/arch
/usr/sbin/chroot
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
/usr/sbin/ramsize
%ifnarch sparc
/usr/bin/cytune
/usr/sbin/swapdev
/usr/sbin/vidmode
%endif
/usr/sbin/rootflags

/usr/man/man1/arch.1
/usr/man/man1/readprofile.1
/usr/man/man8/chroot.8
/usr/man/man8/hwclock.8
/usr/man/man8/cytune.8
/usr/man/man8/fsck.minix.8
/usr/man/man8/mkfs.minix.8
/usr/man/man8/ctrlaltdel.8
/usr/man/man8/dmesg.8
/usr/man/man8/ipcrm.8
/usr/man/man8/ipcs.8
/usr/man/man8/kbdrate.8
/usr/man/man8/ramsize.8
/usr/man/man8/renice.8
/usr/man/man8/rootflags.8
/usr/man/man8/setsid.8
/usr/man/man8/swapdev.8
/usr/man/man8/vidmode.8

%ifarch i386
/usr/sbin/rdev
/usr/man/man8/rdev.8
%endif

/usr/info/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rev
/usr/bin/ul

/usr/man/man1/col.1
/usr/man/man1/colcrt.1
/usr/man/man1/colrm.1
/usr/man/man1/column.1
/usr/man/man1/hexdump.1
/usr/man/man1/rev.1
/usr/man/man1/ul.1
/bin/more
/usr/man/man1/more.1
/usr/lib/more.help
